<div class="overflow-wrapper">
    <div class="overflow-wrapper-inner container">
        <form action="" [formGroup]="form">
            <label for="LDS">Введите сумму депозита</label>
            <div class="input-with-LDS-icon">
                <picture>
                    <img src="../../assets/ledius.png" alt="">
                </picture>
                <input
                  type="number"
                  formControlName="amount"
                  name="LDS"
                  placeholder=""
                >
            </div>
            <label for="period">Выберите период депозита</label>

            <ng-select
              [searchable]="false"
              [clearable]="false"
              class="custom"
              name="period"
              formControlName="duration"
            >
                <ng-option
                  *ngFor="let period of periods"
                  [value]="period.value"
                >{{period.value}} дней</ng-option>
            </ng-select>

            <label for="expected">Ожидаемая сумма</label>
            <div class="input-with-LDS-icon">
                <picture>
                    <img src="../../assets/ledius.png" alt="">
                </picture>
                <input
                  type="number"
                  value='{{expectedAmount}}'
                  readonly
                  name="expected"
                  placeholder=""
                >
            </div>
            <alert status={{status.type}} text={{status.text}}></alert>

            <button (click)="handleSubmit()" class="filled">
              {{ createInProgress ? 'Пожалуйста подождите...' : 'Создать депозит' }}
            </button>
        </form>
    </div>
</div>
